Loading...
Searching...
No Matches
ServiceNowRestDataProvider::ServiceNowTablesDataProvider Class Reference

The ServiceNowTablesDataProvider data provider class. More...

`#include <ServiceNowTablesDataProvider.qc.dox.h>`

Inheritance diagram for ServiceNowRestDataProvider::ServiceNowTablesDataProvider:
[legend]

## Public Member Functions

| constructor (ServiceNowRestClient rest)
| Creates the object from the arguments.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from ServiceNowRestDataProvider::ServiceNowRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (ServiceNowRestClient::ServiceNowRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Static Public Member Functions

static hash< string, bool > | parseBools (hash< auto > h)
| Returns a hash with all values parsed to boolean values.

## Protected Member Functions

*hash< auto > | getAccess (string name)
| Returns access info for one table.
*hash< auto > | getAccessIdIntern (string sys_id, reference< string > name)
| Returns access info for one table; must be called with the lock held.
*hash< auto > | getAllAccess ()
| Returns access info for all tables.
*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
*hash< auto > | getMetadata (string name)
| Returns metadata for the given table.
*hash< auto > | getMetadataIntern (string name)
| Returns metadata for the given table; must have the lock held.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Qore::Thread::Mutex | lck ()
| Metadata mutex.

## Protected Attributes

*hash< auto > | access
| Table access keyed by table name.
*hash< auto > | accessid
| Table access keyed by table ID.
bool | all_access
| Flag if all access info has been queried.
*hash< auto > | meta
| Metadata keyed by table name.
hash< string, string > | scmap
| Superclass map; child -> parent.
Protected Attributes inherited from ServiceNowRestDataProvider::ServiceNowRestDataProviderBase
ServiceNowRestClient::ServiceNowRestClient | rest
| The REST client object for API calls.

## Detailed Description

The ServiceNowTablesDataProvider data provider class.

## Member Function Documentation

## getChildProviderImpl()

*DataProvider::AbstractDataProvider ServiceNowRestDataProvider::ServiceNowTablesDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > ServiceNowRestDataProvider::ServiceNowTablesDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any